Bug 1206404

Summary: Crash on transition from g-i-s to GNOME on 'basic graphics' install (nomodeset)
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: gdmAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 22CC: kparal, robatino, rstrode
Target Milestone: ---Keywords: CommonBugs
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: AcceptedFreezeException RejectedBlocker https://fedoraproject.org/wiki/Common_F22_bugs#gnome-inital-setup-hang-nomodeset
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-12 01:36:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1043128    
Attachments:
Description Flags
journal from the affected boot (slightly trimmed just for fpaste size) none

Description Adam Williamson 2015-03-27 02:53:03 UTC
To reproduce: install Workstation from the Fedora 22 Beta TC5 Server netinst x86_64, BIOS not UEFI, on bare metal, using the 'basic graphics mode' option, and do not create a user account during install. Boot the installed system, proceed through gnome-initial-setup.

After you complete it, when GNOME should start with the created user, you get stuck at a flashing cursor; no TTYs on any VT. On reboot, gdm runs and you can login to GNOME, at which point you see the 'user session' version of g-i-s.

Will attach journal from the boot where the bug occurs.

Proposing as a Beta blocker, though it's arguable. Criterion https://fedoraproject.org/wiki/Fedora_22_Alpha_Release_Criteria#Expected_installed_system_boot_behavior , " A system installed with a release-blocking desktop must boot to a log in screen where it is possible to log in to a working desktop using a user account created during installation or a 'first boot' utility.", in the case of using basic graphics mode - we list this test case as 'Alpha' priority, though I'm not sure we have an explicit release criterion for it.

Comment 1 Adam Williamson 2015-03-27 02:53:57 UTC
Created attachment 1007070 [details]
journal from the affected boot (slightly trimmed just for fpaste size)

Comment 2 Adam Williamson 2015-03-30 16:32:49 UTC
Discussed at 2015-03-30 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-30/f22-blocker-review.2015-03-30-16.04.log.txt . Rejected as a blocker on the grounds that the user does get created and the 'obvious' thing to do (reboot) succeeds, and this bug affects only the specific 'basic graphics mode' configuration (at least so far as we currently know). Accepted as a freeze exception issue.

Comment 3 Kamil Páral 2015-08-11 10:14:31 UTC
This seems to work well with F23 Alpha. After creating the user I'm shown the log in screen, I can log in and see the desktop.

Comment 4 Adam Williamson 2015-08-12 01:36:03 UTC
May as well call it closed, then, doesn't seem to be getting any other attention.